cgSetFloatStateAssignment(3)

NAME
cgSetFloatStateAssignment - set the value of a state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetFloatStateAssignment( CGstateassignment sa,
                                    float value );

PARAMETERS

sa  A handle to a state assignment of type CG_FLOAT, CG_FIXED, or CG_HALF.

value
    The value to which sa will be set.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetFloatStateAssignment sets the value of a state assignment of float type.

EXAMPLES
to-be-written

ERRORS
CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

HISTORY
cgSetFloatStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetFloatStateAssignmentValues manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetBoolStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetStringStateAssignment manpage, the cgSetTextureStateAssignment manpage